API DocumentationManufacturer document template controller

Get document template by language and type

GET
/api/manufacturer/v1/document-template/operator

Retrieves a specific document template for the current operator by language and template type

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Query Parameters

language*string

Language of the document template

type*string

Type of the document template

Response Body

Document template successfully retrieved

application/json
  1. response
documentTemplateId*integer
Formatint64
content*string
language*string
type*string
consignmentLabelSize?string
name?string
pageWidth?number
Formatdouble
pageHeight?number
Formatdouble
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/document-template/operator?language=string&type=string'
{  "documentTemplateId": 0,  "content": "string",  "language": "string",  "type": "string",  "consignmentLabelSize": "string",  "name": "string",  "pageWidth": 0.1,  "pageHeight": 0.1}